unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls, Series;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Chart1: TChart;
    Series1: TPieSeries;
    procedure Button5Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
   Series1.Clear;  // Clear zeruje dane z poprzedniego kliknięcia
   with Series1 do
   begin
     Add(2000, 'I kwartał',clRed);
     Add(1500, 'II kwartał',clYellow);
     Add(3000, 'III kwartał',clGreen);
   end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var i:integer;
begin
   Series1.Clear;  //Clear zeruje dane wykresu dodane w wyniku poprzedniego kliknięcia
   for i:=1 to 5 do Series1.Add(1+Random(10) );

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Series1.Add(1+Random(10)); //pierwszy parametr funkcji Add to liczba losowa,
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if Series1.Count>0 then Series1.Delete(0);  //jeśli liczba danych na wykresie jest
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
   Series1.Clear;  //zerowanie wszystkich danych dla Series1
end;

end.
